petsc-3.10.5 2019-03-28
Report Typos and Errors

# PFApplyVec

Applies the mathematical function to a vector

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFApplyVec(PF pf,Vec x,Vec y)

Collective on PF

### Input Parameters

| pf | - the function context
| x | - input vector (or NULL for the vector (0,1, .... N-1)

### Output Parameter

y -output vector

### Keywords

PF, apply

### See Also

PFApply(), PFCreate(), PFDestroy(), PFSetType(), PFSet()

### Level

beginner

### Location

src/vec/pf/interface/pf.c

### Examples

src/dm/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex22.c.html

### Implementations

PFApplyVec_Constant in src/vec/pf/impls/constant/const.c
PFApplyVec_Identity in src/vec/pf/impls/constant/const.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages